Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578814 (CVE-2016-3096) - <app-admin/ansible-{1.9.6,2.0.2.0-r1}: Code execution vulnerability in lxc_container (CVE-2016-3096)
Summary: <app-admin/ansible-{1.9.6,2.0.2.0-r1}: Code execution vulnerability in lxc_co...
Status: RESOLVED FIXED
Alias: CVE-2016-3096
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: 580126
Blocks:
  Show dependency tree
 
Reported: 2016-04-02 10:49 UTC by Agostino Sarubbo
Modified: 2016-07-20 11:39 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-04-02 10:49:35 UTC
From ${URL} :

A vulnerability in lxc_container, ansible module, was found allowing to get root inside the container. The 
problem is in the create_script function, which tries to write to /opt/.lxc-attach-script inside of the 
container. If the attacker can write to /opt/.lxc-attach-script before that, he can overwrite arbitrary 
files or execute commands as root.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2016-04-02 20:07:53 UTC
as per redhat's bugzilla

(fixes) Will be in upstream releases 1.9.6, 2.0.2, and 2.1.0.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-06-25 23:39:50 UTC
CVE-2016-3096 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-3096):
  The create_script function in the lxc_container module in Ansible before
  1.9.6-1 and 2.x before 2.0.2.0 allows local users to write to arbitrary
  files or gain privileges via a symlink attack on (1)
  /opt/.lxc-attach-script, (2) the archived container in the archive_path
  directory, or the (3) lxc-attach-script.log or (4) lxc-attach-script.err
  files in the temporary directory.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-25 23:46:07 UTC
2.1.0.0 does not get marked stable.

New GLSA request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2016-07-20 11:29:56 UTC
This issue was resolved and addressed in
 GLSA 201607-14 at https://security.gentoo.org/glsa/201607-14
by GLSA coordinator Aaron Bauman (b-man).
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-20 11:30:39 UTC
@maintainer(s), reopening for cleanup.
Comment 6 Sergey Popov gentoo-dev 2016-07-20 11:39:04 UTC
Cleanup is done